Subject: Re: [JGIT PATCH 1/6] Add set to IntList

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 4 May 2009 07:55:06 -0700

Johannes Schindelin <[email-masked]> wrote:
> On Mon, 4 May 2009, Shawn O. Pearce wrote:
> 
> > Robin Rosenberg <[email-masked]> wrote:
> > > l?rdag 02 maj 2009 04:08:42 skrev "Shawn O. Pearce" <[email-masked]>:
> > > > Some applications may wish to modify an int list.
> > 
> > OK, as it turns out, this is used by code which Dscho wrote but I 
> > haven't packaged up as patches yet.  And I don't think that even uses 
> > the weird set(size(), ...) expands the list rules I implemented. So drop 
> > this patch for now from the series and I'll respin it at a later date.
> 
> Indeed, my code only needs add(int i), which should expand the array on 
> demand (i.e. after a clear(), it should _not_ blindly resize the array).

Really?  When I was starting to bring your code in and moved from
IntArray to IntList I had compile errors on set calls, so I added
it to IntList.

Huh.  Well, add(int) is already there, and clear() resets the size
to 0 but doesn't resize the internal array, so future adds up to
the prior capacity are free.

-- 
Shawn.